#
# spec file for package yast2-mail (Version 2.13.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-mail
Version:        2.13.3
Release:        12.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-mail-2.13.3.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
# new firewall interface
Requires:       yast2 >= 2.11.11
Requires:       yast2-mail-aliases
# for listing local users as alias destinations
Requires:       yast2-users
Provides:       yast2-config-network:/usr/lib/YaST2/clients/lan_sendmail.ycp
Provides:       yast2-config-sendmail yast2-config-sendmail-devel
Obsoletes:      yast2-config-sendmail yast2-config-sendmail-devel
Provides:       yast2-trans-sendmail
Obsoletes:      yast2-trans-sendmail
Provides:       yast2-config-mail
Obsoletes:      yast2-config-mail
Provides:       yast2-trans-mail
Obsoletes:      yast2-trans-mail
BuildArchitectures:	noarch
Summary:        YaST2 - Mail Configuration

%description
The YaST2 component for mail configuration. It handles Sendmail,
Postfix, and Fetchmail.



Authors:
--------
    Martin Vidner <mvidner@suse.cz>

%debug_package
%package aliases
Summary:        YaST2 - Mail Configuration (Aliases)
Group:          System/YaST

%description aliases
The YaST2 component for mail configuration. It handles Sendmail,
Postfix, and Fetchmail.



Authors:
--------
    Martin Vidner <mvidner@suse.cz>

%prep
%setup -n yast2-mail-2.13.3

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/mail
/usr/share/YaST2/include/mail/*
%dir /usr/share/YaST2/clients
/usr/share/YaST2/clients/mail.ycp
/usr/share/YaST2/clients/mail_*.ycp
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/Mail.y*
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/mail.desktop
%dir /usr/share/YaST2/scrconf
/usr/share/YaST2/scrconf/cfg_amavis.scr
/usr/share/YaST2/scrconf/cfg_postfix.scr
/usr/share/YaST2/scrconf/cfg_sendmail.scr
/usr/share/YaST2/scrconf/mail_p_auth.scr
/usr/share/YaST2/scrconf/mail_p_canonical.scr
/usr/share/YaST2/scrconf/mail_p_virtual.scr
/usr/share/YaST2/scrconf/mail_s_auth.scr
/usr/share/YaST2/scrconf/mail_s_generics.scr
/usr/share/YaST2/scrconf/mail_s_virtuser.scr
%dir /usr/lib/YaST2/servers_non_y2
/usr/lib/YaST2/servers_non_y2/ag_smtp_auth
%doc %{prefix}/share/doc/packages/yast2-mail

%files aliases
%defattr(-,root,root)
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/MailAliases.y*
%dir /usr/share/YaST2/scrconf
/usr/share/YaST2/scrconf/cfg_mail.scr
/usr/share/YaST2/scrconf/mail_aliases.scr
/usr/share/YaST2/scrconf/mail_fetchmail.scr
%dir /usr/lib/YaST2/servers_non_y2
/usr/lib/YaST2/servers_non_y2/ag_fetchmailrc
/usr/lib/YaST2/servers_non_y2/ag_mailtable

%changelog -n yast2-mail
* Tue Mar 07 2006 - mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Tue Feb 07 2006 - mvidner@suse.cz
- Marked some autoyast summary strings for translation (#146661).
* Mon Jan 16 2006 - mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.2
* Thu Jan 05 2006 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.1
* Wed Nov 23 2005 - mvidner@suse.cz
- ag_fetchmailrc: allow * as the local user to enable multidrop
  (with varkoly).
- 2.13.0
* Mon Sep 05 2005 - mvidner@suse.cz
- If AMaViS is wanted install also ClamAV to prevent mail from
  piling up in the incoming queue (#115295).
- 2.12.4
* Fri Aug 12 2005 - mvidner@suse.cz
- Added comments for translators.
* Thu Aug 11 2005 - mvidner@suse.cz
- Added comments for ycpdoc.
- 2.12.3
* Tue May 17 2005 - mvidner@suse.cz
- Reverted a misguided omission of an include file.
- 2.12.2
* Mon May 16 2005 - mvidner@suse.cz
- Don't use "default" as an identifier.
- 2.12.1
* Mon Jan 31 2005 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.4
* Mon Jan 17 2005 - jsuchome@suse.cz
- basic command line support
- 2.11.3
* Wed Dec 15 2004 - mvidner@suse.cz
- Adapted to moving firewall code to yast2.rpm.
- 2.11.2
* Wed Nov 10 2004 - mvidner@suse.cz
- Updated to new Mode.
- Replaced lookups and selects by brackets.
- 2.11.1
* Wed Sep 15 2004 - mvidner@suse.cz
- Use Package[System] instead of Require, fixed cloning (#45071).
- 2.10.8
* Tue Sep 14 2004 - locilka@suse.cz
- Fixed testsuites
- 2.10.7
* Tue Sep 07 2004 - mvidner@suse.cz
- Readjusted testsuite, this time correctly.
- 2.10.6
* Mon Sep 06 2004 - mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.5
* Fri Sep 03 2004 - mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904, nashif).
- 2.10.4
* Tue Aug 24 2004 - mvidner@suse.cz
- Fixed UI that was broken because of stricter type checking.
- Improved firewall config writing to cooperate with autoyast.
- 2.10.3
* Mon Aug 16 2004 - mvidner@suse.cz
- Adjusted testsuite to changes in firewall.
- 2.10.2
* Fri Aug 13 2004 - mvidner@suse.cz
- Added Open Firewall button to Incoming Mail.
- Allow testing the module as non-root.
- 2.10.1
* Thu Jun 17 2004 - mvidner@suse.cz
- Moved cfg_mail.scr to yast2-mail-aliases to get rid of file conflicts.
- Added "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Thu May 27 2004 - mvidner@suse.cz
- Moved ag_fetchmailrc to yast2-mail-aliases because it's
  needed by yast2-mail-server (#40972)
- 2.9.16
* Tue May 04 2004 - mvidner@suse.cz
- merged proofread messages
- 2.9.15
* Fri Apr 16 2004 - mvidner@suse.cz
- Mail::Import returns boolean (nashif)
- 2.9.14
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.13
* Thu Apr 01 2004 - mvidner@suse.cz
- removed final confirmation popup, "Finish" is enough (#37554).
- 2.9.12
* Mon Mar 29 2004 - mvidner@suse.cz
- enable/disable rcfetchmail (#37139)
- 2.9.11
* Thu Mar 25 2004 - mvidner@suse.cz
- fixed local domain checking to allow "\$" (#36871)
- 2.9.10
* Fri Mar 12 2004 - mvidner@suse.cz
- improved amavis help text (#17731)
- add wizard icons (jhumpol)
- use Sequencer, Service
- 2.9.9
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.8
- Migration to new wizard
* Tue Mar 09 2004 - kkaempf@suse.de
- adapt look&feel (sh@suse.de)
- fix POSTFIX_MDA value (#35517, partly)
- 2.9.6
* Sun Mar 07 2004 - kkaempf@suse.de
- adapt testsuite
* Fri Mar 05 2004 - mvidner@suse.cz
- added type information (lslezak)
- merged proofread texts
- 2.9.5
* Thu Feb 19 2004 - lslezak@suse.cz
- removed yast2-packager from Requires and neededforbuild
- version 2.9.4
* Tue Feb 10 2004 - lslezak@suse.cz
- removed globals
- removed *.y2cc file
- version 2.9.3
* Fri Jan 30 2004 - mvidner@suse.cz
- NI fixes to make it build
- 2.9.2
* Mon Jan 19 2004 - jsrain@suse.de
- merged the new interpreter branch
* Fri Dec 05 2003 - jsuchome@suse.cz
- syntax fixes for new interpreter, part 1: compatible with old one
- 2.9.1
* Mon Sep 15 2003 - jsuchome@suse.cz
- write proper value for default of local domains
- 2.8.8
* Thu Sep 11 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Thu Sep 04 2003 - jsuchome@suse.cz
- fix: delivery mode not saved (#30032)
- proposal for local domains (#29919)
* Wed Sep 03 2003 - jsuchome@suse.cz
- part of helptext was not shown
- 2.8.7
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.6
* Tue Aug 12 2003 - nashif@suse.de
- Import settings directly
- Dont check for empty argument while importing to allow reset to
  default values
- 2.8.5
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts: 1st round
* Mon Aug 04 2003 - mvidner@suse.de
- Added desktop file (supersedes y2cc file).
- 2.8.4
* Fri Aug 01 2003 - mvidner@suse.cz
- Testsuite: don't expose perl-internal hash ordering (fixes build).
- 2.8.3
* Wed Jul 23 2003 - mvidner@suse.cz
- Implemented postfix delivery mode (#26052).
- Reverted the fetchmail run mode switch (#22903).
- Adjusted for the switch to amavisd-new. (Widget visible only if
  the package is on the installasion source)
- MailAliases does not import Summary and Report anymore (build fix).
- 2.8.2
* Fri Jun 20 2003 - mvidner@suse.cz
- Split the general dialog into outgoing and incoming again (~#17731).
- Default MTA for autoinstallation is postfix.
- ag_fetchmail: preserve unparsed items.
- Moved MailAliases stuff back from yast2.rpm,
  creating a yast2-mail-aliases subpackage (#18212).
- Added widgets for postfix delivery mode (#26052)
  and fetchmail run mode (#22903), dummy so far.
- 2.8.1
* Mon Apr 07 2003 - mvidner@suse.cz
- Added screenshot mode.
- 2.8.0
* Mon Mar 03 2003 - mvidner@suse.de
- Don't squash frame title in the MTA selection dialog (#23979).
- Install fetchmail if some entries are configured, regardless
  of the connection type.
- Enhanced package installation for autoyast.
- Don't set Mode::config to true in _auto clients. (nashif)
- Don't export empty map values (nashif).
- Texts from final proofreading.
- 2.7.6
* Thu Feb 13 2003 - mvidner@suse.de
- Check also for the daemon variants of amavis.
- Use the Network Services group in the control center for the icon.
- 2.7.5
* Mon Feb 10 2003 - jsuchome@suse.de
- proofread texts: 3rd round
* Mon Feb 03 2003 - mvidner@suse.de
- Added a SMTP-AUTH dialog (#23000, with phadraba).
- Relaxed Import checks, added Read to _auto (nashif).
- Merged proofread texts.
- 2.7.4
* Mon Jan 20 2003 - mvidner@suse.de
- Fixed the auto dispatcher (Import) (nashif).
- 2.7.3
* Tue Jan 14 2003 - mvidner@suse.de
- Added function key shortcuts for ncurses.
* Fri Jan 10 2003 - mvidner@suse.de
- Prevent agent from returning strings as integers/booleans (#21804).
- Using the new *_auto dispatcher (nashif).
- 2.7.2
* Thu Dec 05 2002 - mvidner@suse.cz
- Use the faked Pkg instead of the real one to prevent testsuite failures.
- 2.7.1
* Tue Sep 10 2002 - mvidner@suse.cz
- Provide/Obsolete yast2-trans-sendmail (SL7.3).
- 2.6.17
* Wed Sep 04 2002 - mvidner@suse.cz
- Fixed SetFocus if the 'Outgoing mail server' field is invalid.
- Build fix: Synced the test suite with the package manager.
- 2.6.16
* Fri Aug 30 2002 - mvidner@suse.cz
- Amavis checkbox moved to the first dialog so that
  it does not imply scanning incoming mail only (#17731).
- 2.6.15
* Mon Aug 26 2002 - mvidner@suse.cz
- Unify the no connection case so that also postfix is always started;
  that way the mail is bounced immediately and does not wait in the queue.
- Control center: Rename Mail to Mail Transfer Agent (#18058).
- Again adapt to the new packagemanager interface (#18253).
- 2.6.14
* Fri Aug 23 2002 - mvidner@suse.cz
- Adapt to the new packagemanager interface (#18253).
- If neither postfix nor sendmail is found, terminate (#18253).
- Outgoing mail server must not be empty in dialup mode (#18146).
- Instead of "The {host,domain} name is incorrect", show a standard
  description of a valid address/name. (no new text)
- 2.6.13
* Sun Aug 11 2002 - mvidner@suse.cz
- Let the tables keep the keyboard focus (#16116 workaround).
- 2.6.12
* Mon Aug 05 2002 - mvidner@suse.cz
- Fixed saving the fetchmail configuration
  with a permanent connection (#17417).
- Fixed help text in the connection type dialog.
- 2.6.11
* Wed Jul 31 2002 - mvidner@suse.cz
- Added comments for translators
- 2.6.10
* Mon Jul 29 2002 - mvidner@suse.cz
- yast2-runlevel is no longer required.
- Tests fixed for perl 5.8.0.
- 2.6.9
* Fri Jul 19 2002 - mvidner@suse.cz
- Separated aliases handling into yast2.rpm/MailAliases.ycp (~#11730).
- Merged proofread texts.
- 2.6.8
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 - mvidner@suse.cz
- minor dependency and build adjustments
- 2.6.5
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 - msvec@suse.cz
- package renamed
- 2.6.3
* Thu Jun 20 2002 - mvidner@suse.cz
- 'Accept remote SMTP connections' checkbox added (SMTPD_LISTEN_REMOTE).
- Dialogs completely reshuffled to put most frequently used settings
  in one dialog and enable configuring mail after configuring
  a modem/network card (#13565).
- Autoyast:
  * merge_aliases removed because it is implied by the aliases.d scheme.
  * Summary of lists and maps fixed to show the primary item.
- Removed trans package dependency.
* Thu May 23 2002 - mvidner@suse.cz
- Added Mail::{Get,Set}RootAlias, bug 11730.
- Adapted to new autoinstall configuration system (nashif).
- Using current devtools; menuentries -> config.
- 2.6.2
* Mon Mar 18 2002 - mvidner@suse.cz
- Fix adding/editing fetchmail entries (#15130, broken in 2.5.16).
- Don't install fetchmail yet if there are no items configured. (#15060)
- 2.5.17
* Fri Mar 15 2002 - mvidner@suse.cz
- Check that input fields are valid. (#14980)
- Translate the window close button to Abort. (#14948)
- 2.5.16
* Wed Mar 06 2002 - mvidner@suse.cz
- Added manual MTA selection for autoyast. (#14481)
- 2.5.15
* Mon Feb 25 2002 - mvidner@suse.cz
- ag_mailtable: Fixed the last fix.
- 2.5.14
* Fri Feb 22 2002 - mvidner@suse.cz
- Always start sendmail, even without a net connection. (#13188)
- SENDMAIL_ARGS updated.
- ag_mailtable: Don't complain when preloaded from y2cc.
- 2.5.13
* Tue Feb 19 2002 - mvidner@suse.cz
- Hide the button that enables AMaViS if it is not installable.
- 2.5.12
* Mon Feb 18 2002 - mvidner@suse.cz
- Disabled Aliases and Virtual domains buttons for No connection (#13407).
- Fixed disabling of Edit and Delete buttons.
- Improved comment handling in mail tables (aliases etc.)
- 2.5.11
* Fri Feb 15 2002 - mvidner@suse.cz
- Fixed reading and writing of /etc/fetchmailrc.
- Abort if we do not understand user's fetchmailrc, not to overwrite it.
- Another proofreading.
- 2.5.10
* Mon Feb 11 2002 - mvidner@suse.cz
- Don't add brackets to relayhost for Postfix.
- Added headings and focus for input popups.
- 2.5.9
* Wed Feb 06 2002 - mvidner@suse.cz
- Added provides of yast2-config-sendmail-devel and old yast2-config-network.
- Install also fetchmail if needed.
- Present a confirmation message before writing and installing.
- 2.5.8
* Fri Feb 01 2002 - mvidner@suse.cz
- Service activation. (#12986)
- Autoinstallation can disable suseconfig and service activation.
- Aliases and Virtual domains moved out of the main workflow. (#12952)
- Fixed SENDMAIL_ARGS for dial-up.
- Input of Domains to masquerade fixed.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 28 2002 - mvidner@suse.cz
- Check if cf files are not to be touched (MAIL_CREATE_CONFIG).
- Added missing agents.
- Don't log data containing passwords.
- Removed unused functions.
- Added comments for translators.
- 2.5.6
* Mon Jan 21 2002 - mvidner@suse.cz
- Added an option to use a virus scanner (AMaViS).
- 2.5.5
* Tue Jan 15 2002 - mvidner@suse.cz
- Include forgotten agent configurations.
- Obsolete yast2-config-sendmail.
- Using ini-agent instead of rc-agent.
- 2.5.4
* Mon Jan 14 2002 - mvidner@suse.cz
- /etc/fetchmailrc: use permissions 0600, refer to file format docs.
- Control center group changed to Network/Basic.
- 2.5.3
* Fri Jan 11 2002 - mvidner@suse.cz
- Using /etc/sysconfig/* instead of  /etc/rc.config* .
- Autoinstallation: properly signal a cancel.
- Updated help texts.
- 2.5.2
* Thu Dec 13 2001 - mvidner@suse.cz
- alpha version
